//
//  NSCalendarDateAdditions.h
//  iStrip
//
//  Created by Joar Wingfors on Sun Apr 06 2003.
//  Copyright (c) 2003 joar.com. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface NSCalendarDate (Additions)

+ (id) dateWithYear:(int) year month:(unsigned int) month day:(unsigned int) day;
- (NSCalendarDate *) dateByAddingYears:(int) year months:(int) month days:(int) day;

+ (id) dateWithDaysOfCommonEra:(int) days;

// Return the current date for the specified time zone
+ (NSCalendarDate *) currentDateAtTimeZone:(NSTimeZone *) timeZone;
+ (NSCalendarDate *) currentDateAtTimeZoneWithAbbreviation:(NSString *) abbreviation;
//+ (NSCalendarDate *) currentDateAtTimeZoneWithHoursFromGMT:(int) hours;

+ (unsigned int) numberOfDaysInMonth:(unsigned int) month ofYear:(unsigned int) year;

- (BOOL) isEarlierThanDate:(NSCalendarDate *) date;
- (BOOL) isLaterThanDate:(NSCalendarDate *) date;

@end
